Bug 1865817 - Values for cpu/memeory are empty in Metrics table on HPA detail page
Summary: Values for cpu/memeory are empty in Metrics table on HPA detail page
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Cyril
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-04 09:26 UTC by Yanping Zhang
Modified: 2020-09-03 04:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
metrics-table (42.96 KB, image/png)
2020-08-04 09:26 UTC, Yanping Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6262 None closed Bug 1865817: Values for cpu/memeory are empty in Metrics table on HPA detail page 2020-09-14 07:08:12 UTC

Description Yanping Zhang 2020-08-04 09:26:56 UTC
Created attachment 1710296 [details]
metrics-table

Description of problem:
Create hpa in project, check on the hpa detail page, values for cpu/memeory  are empty in Metrics table on HPA detail page

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-03-143208

How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
#oc new-app --as-deployment-config centos/ruby-22-centos7~https://github.com/sclorg/ruby-ex.git 
#oc expose svc ruby-ex
#oc set resources dc ruby-ex --limits=cpu=100m,memory=256Mi

2.Create hpa for the app.
apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: test-hpa
spec:
  scaleTargetRef:
    apiVersion: apps.openshift.io/v1
    kind: DeploymentConfig
    name: ruby-ex
  minReplicas: 1
  maxReplicas: 5
  metrics:
  - type: Resource
    resource:
      name: cpu
      targetAverageUtilization: 1
  - type: Resource
    resource:
      name: memory
      targetAverageValue: 200Mi

3.Go to the hpa detail page. Check values in Metrics table.

Actual results:
3.There is no value for memory/cpu target field.

Expected results:
3.Should have value 200Mi for memory target field and 1% for cpu target field.

Additional info:

Comment 4 Yanping Zhang 2020-09-03 04:52:17 UTC
Tested on ocp 4.6 with payload 4.6.0-0.nightly-2020-09-02-165033
Checked on hpa detail page, there is value in metric table for memory/cpu target field.
The bug is fixed.


Note You need to log in before you can comment on or make changes to this bug.